# volume transfer request

Block Storage v2, v3

## volume transfer request accept

Accept volume transfer request.

    openstack volume transfer request accept
        --auth-key <key>
        <transfer-request-id>

--auth-key <key>

  Volume transfer request authentication key

transfer-request-id

  Volume transfer request to accept (ID only)

## volume transfer request create

Create volume transfer request.

    openstack volume transfer request create
        [--name <name>]
        [--snapshots]
        [--no-snapshots]
        <volume>

--name <name>

  New transfer request name (default to None)

--snapshots

  Allow transfer volumes without snapshots (default) (supported by –os-volume-api-version 3.55 or later)

--no-snapshots

  Disallow transfer volumes without snapshots (supported by –os-volume-api-version 3.55 or later)

volume

  Volume to transfer (name or ID)

## volume transfer request delete

Delete volume transfer request(s).

    openstack volume transfer request delete
        <transfer-request>
        [<transfer-request> ...]

transfer-request

  Volume transfer request(s) to delete (name or ID)

## volume transfer request list

Lists all volume transfer requests.

    openstack volume transfer request list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Include all projects (admin only)

## volume transfer request show

Show volume transfer request details.

    openstack volume transfer request show <transfer-request>

transfer-request

  Volume transfer request to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.